<?php
/**
 * Unicode Normalizer manual/unit test.
 *
 * Run the test from the tests directory.
 * #php normtest.php
 *
 * PHP version 5
 *
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 * + Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * + Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation and/or
 * other materials provided with the distribution.
 * + The names of its contributors may not be used to endorse or
 * promote products derived from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * @category  Internationalization
 * @package   I18N_UnicodeNormalizer
 * @author    Michel Corne <mcorne@yahoo.com>
 * @copyright 2007 Michel Corne
 * @license   http://www.opensource.org/licenses/bsd-license.php The BSD License
 * @version   SVN: $Id: normtest.php 22 2007-07-03 10:11:38Z mcorne $
 * @link      http://pear.php.net/package/I18N_UnicodeNormalizer
 */
// /
// adds the path of the package if this it is a (proper/SVN) developer package install
file_exists("../../I18N/") and set_include_path(get_include_path() . PATH_SEPARATOR . '../..');
// /
require_once dirname(__FILE__) . '/benchmark/mediawiki/UtfNormal.php';
require_once 'I18N/UnicodeNormalizer.php';
require_once 'I18N/UnicodeNormalizer/String.php';
require_once 'I18N/UnicodeNormalizer/File.php';

$stringObj = new I18N_UnicodeNormalizer_String;
$normalizer = new I18N_UnicodeNormalizer();

$string = '\u1E0A';
$type = 'NFD';

$utf8 = $stringObj->unicode2string($string);
$info = $normalizer->getCharInfo($utf8, $type);
// $utf8 = call_user_func(array('I18N_UnicodeNormalizer', "to$type"), $utf8);
$utf8 = $normalizer->normalize($utf8, $type);
$normed = $stringObj->string2unicode($utf8);

echo "original: $string\n";
echo "normalized ($type): $normed\n";
echo "\ninfo:\n";
var_export($info);

?>